%define name	gnorpm
%define version	0.96
%define release	13mdk

Summary:	A graphical front-end to RPM for GNOME.
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		System/Configuration/Packaging
URL:		http://www.daa.com.au/~james/gnome/

Source0:	%{name}-%{version}.tar.bz2
Source1:	gnorpm.pamd.bz2
Source2:	gnorpm.apps.bz2
Source3:	gnorpm-icons.tar.bz2

Patch0:		gnorpm-0.96-mdkconfig.patch.bz2
Patch3:		gnorpm-0.96-uid.patch.bz2
Patch5:		gnorpm-0.96-newkeys.patch.bz2
Patch8:		gnorpm-0.96-newdesktop.patch.bz2
Patch10:	gnorpm-0.96-instsrpm.patch.bz2
Patch11:	gnorpm-0.96-rpm40-crash.patch.bz2

# (fc) 0.95.1-3mdk move gnorpmrc to /usr/share/gtkrc
Patch12:	gnorpm-0.95.1-gtkrc.patch.bz2

# (gb) 0.96-1mdk needed to compile the docs with DocBook 3.1
Patch13:	gnorpm-0.96-docbook3.1.patch.bz2

# Patches for rpm 4.0.x
Patch14:	gnorpm-0.96-rpm401.patch.bz2
Patch15:	gnorpm-0.96-rpm403.patch.bz2
Patch16:	gnorpm-0.96-rpmio.patch.bz2
Patch17:	gnorpm-0.96-db33.patch.bz2
Patch18:	gnorpm-0.96-rpm404.patch.bz2

# (gb) 0.96-11mdk fix dependencies and make parallel build happy
Patch19:	gnorpm-0.96-find-tester-deps.patch.bz2

Patch20:	gnorpm-0.96-lib64.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	glint
Requires:	usermode >= 1.13
Requires:	popt
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	db3-devel
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	libghttp-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	libxml-devel
BuildRequires:	rpm-devel
BuildRequires:	openjade, docbook-utils, docbook-dtd31-sgml, gettext-devel

%description
Gnome-RPM is a graphical front-end to to the RPM Package Manager
(RPM). Gnome-RPM is similar to Glint, but is written using the GTK+
widget set and the GNOME libraries.  Gnome-RPM is currently in
development, so some features are missing, but you can currently
query, install, upgrade, uninstall and verify packages using a GUI
interface.

%prep
%setup -q
%patch0 -p1 -b .mdkconfig
%patch3 -p1 -b .uid
%patch5 -p1 -b .newkeys
%patch8 -p1 -b .newdesktop
%patch10 -p1 -b .instsrpm
%patch11 -p1 -b .rpm40-crash
%patch12 -p1 -b .gtkrc
%patch13 -p1 -b .docbook3.1
%patch14 -p1 -b .rpm401
%patch15 -p1 -b .rpm403
%patch16 -p1 -b .rpmio
%patch17 -p1 -b .db33
%patch18 -p1 -b .rpm404
%patch19 -p1 -b .find-tester-deps
%patch20 -p1 -b .lib64

# (fc) 0.95.1-3mdk needed for patch12
automake

# (gb) 0.96-2mdk needed for patch14, patch15
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall gtkrcdir=$RPM_BUILD_ROOT%{_datadir}/gtkrc

ln -sf consolehelper ${RPM_BUILD_ROOT}%{_bindir}/gnorpm-auth
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/gnorpm-auth
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/gnorpm-auth

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar jxvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
    command="%{_bindir}/gnorpm-auth" \
    icon="gnorpm.png" \
    needs="x11" \
    section="Configuration/Packaging" \
    title="GnoRPM" \
    longtitle="A graphical front-end to RPM for GNOME"
EOF

%{find_lang} %{name}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnorpm/es/{gnorpm.html,topic.dat}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root) 
%{_bindir}/gnorpm
%{_bindir}/gnorpm-auth
%{_menudir}/gnorpm
%{_iconsdir}/%{name}*
%{_liconsdir}/%{name}*
%{_miconsdir}/%{name}*
%{_datadir}/gnome/help/gnorpm/C/*
%{_datadir}/gnome/apps/System/gnorpm.desktop
%{_datadir}/pixmaps/gnorpm.png
%config(noreplace) %{_datadir}/gtkrc/gnorpmrc*
%config(noreplace) %{_datadir}/mime-info/gnorpm.keys
%config(noreplace) %{_sysconfdir}/pam.d/gnorpm-auth
%config(noreplace) %{_sysconfdir}/security/console.apps/gnorpm-auth
#%{_datadir}/pixmaps/defpackage.gif
%doc AUTHORS NEWS README

%changelog
* Wed Apr 23 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-13mdk
- Patch20: Don't explicitly add -L/usr/lib, thus lib64 fixing

* Thu Feb 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-12mdk
- BuildRequires: gettext-devel

* Fri Jan 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-11mdk
- Use png icons
- Patch19: fix dependencies and make parallel build happy

* Tue May  7 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-10mdk
- BuildRequires: openjade, docbook-utils, docbook-dtd31-sgml (thanks Camille)

* Fri Mar 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-9mdk
- Patch18: Build against latest rpm 4.0.4 (rh patch)

* Wed Feb  6 2002 Stefan van der Eijk <stefan@eijk.nu> 0.96-8mdk
- BuildRequires

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.96-7mdk
- update Patch17: build against latest rpm and libdb3.3
- Remove BerkeleyDB-devel from BuildRequires
- use %%configure2_5x for --build/--target/--host

* Thu Oct 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96-6mdk
- fixed BuildRequires

* Sat Sep  1 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-5mdk
- Patch17: build against latest rpm and libdb3.2
- Patch16: do include <rpmio.h>

* Wed Jul 18 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-4mdk
- rebuilt against rpm 4.0.3-0.16mdk libs

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.96-3mdk
- BuildRequires:	db1-devel
- BuildRequires:	db3-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	XFree86-libs
- Remove BuildRequires:	docbook-style-dsssl
- Remove BuildRequires:	libaudiofile0-devel
- Remove BuildRequires:	libesound0-devel
- Remove BuildRequires:	libglib1.2-devel
- Remove BuildRequires:	libgtk
- Remove BuildRequires:	libimlib1-devel
- Remove BuildRequires:	openjade
- Remove BuildRequires:	popt-devel
- Remove BuildRequires:	zlib1-devel

* Mon Jul  9 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-2mdk
- Merge with Red Hat patches for RPM 4.0.x
- Fix Requires, BuildRequires

* Fri Feb 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.96-1mdk
- Updated to release 0.96
- Added extra 'BuildRequires' rules
- Fixed compilation of the docs with DocBook 3.1 (patch13)
- Removed ko.po patch
- Cleaned up specfile

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95.1-3mdk
- Move gnorpmrc to /usr/share/gtkrc (patch12)

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95.1-2mdk
- Add instsrpm and rpmv4fix patches from Red Hat.
- rpmv4 aware.

* Mon Oct  2 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95.1-1mdk
- 0.95.1 from acox, security fix.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.95-2mdk
- Pamstackizification.

* Thu Sep 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95-1mdk
- Release 0.95
- updated ko.po file from CVS
- Rebuild some patches, removed others which has been merged

* Tue Sep  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Use find_lang macro
- use noreplace for config files
- add icons for menu

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9-2mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- first Mandrake package
- BM + macroszification

* Mon Mar 06 2000 Owen Taylor <otaylor@redhat.com>
- Fix bug causing install dialog to crash when no packages available

* Fri Feb 04 2000 Jonathan Blandford <jrb@redhat.com>
- Make gnorpm-auth -Uvh be the default action for dbl-click

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Fri Jan 21 2000 Jeff Johnson <jbj@redhat.com>
- use gnorpm-auth in desktop config.

* Wed Dec 15 1999 Jeff Johnson <jbj@redhat.com>
- Patch for rpm-3.0.4 compatibility (preliminary).
- Patch to fix missing return seg-fault (Owen Taylor).

* Thu Sep 30 1999 Jonathan Blandford <jrb@redhat.com>
- Add gnorpm-auth to the .keys file for gmc.

* Sat Sep 25 1999 Jeff Johnson <jbj@redhat.com>
- recompile with rpm-3.0.3-1.

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- added requirement for latest usermode

* Mon Sep 20 1999 Owen Taylor <otaylor@redhat.com>
- Added extra cdrom directories for powertools to directory list

* Thu Sep 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- added uid patch so that it works right when run via consolehelper

* Wed Sep 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- gnorpm-auth consolehelper setup
- add -lbz2 to LDFLAGS.

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.9

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- fixed upgrade brokenness

* Thu Apr 15 1999 Michael Fulbright <drmike@redhat.com>
- added missing gnorpm.keys file to file list

* Mon Apr 12 1999 Matt Wilson <msw@redhat.com>
- updated to 0.8

* Fri Mar 12 1999 Matt Wilson <msw@redhat.com>
- patched to work with rpm-3.0
- GnoRPM obsoletes glint.
